import re
import time
import yaml
conf = '''
remove:
 -
  ratio: 0.2
  status: stopped
  done-time: 2h
  delete: True
'''


def remove_check(tor, conditions):
    status = tor['status'].lower()
    ratio = tor['uploadRatio']

    if 'ratio' in conditions:
        try:
            num = float(conditions['ratio'])
        except ValueError:
            return False
        if num > ratio:
            return False

    if 'status' in conditions:
        if conditions['status'].lower() != status:
            return False

    if 'done-time' in conditions and tor['doneDate']:
        val = None
        match = re.match('(\d+)\h', conditions['done-time'])
        if match:
            val = float(match.groups()[0]) * (3600)
        else:
            match = re.match('(\d+)\d', conditions['done-time'])
            if match:
                val = float(re.groups()[0]) * (3600 * 24)
        if val:
            done_for = time.time() - tor['doneDate']
            if done_for < val:
                return False
    return True


if __name__ == '__main__':
    conf = yaml.load(conf)
    tor = {
        'status': 'stopped',
        'uploadRatio': 0.2,
        'doneDate': time.time() - 100000,

    }
    for conditions in conf['remove']:
        print('removin...', remove_check(tor, conditions))
